window.ManagementGame = {
    meta: {
        name:                           "Roman Tycoon",
        startingCash:                   5000,
        defWorkerSalary:                25000,
        defManagerSalary:               30000,
        defLawyerSalary:                35000,
        defAccountantSalary:            32000,
        defLobbyistSalary:              40000,
        defCorporateTaxRate:            0.25,
        baseLoanRate:                   0.05,
        defGameSpeed:                   350,                     // lower is faster
        gameTicksPerDay:                300,
        communityUrl:                   "https://www.ape-apps.com/viewpage.php?p=14",
        profitModManager:               0.09,
        profitModManagerAdditionalMod:  0.75,
        profitModWorker:                0.03,
        profitWorkerAdditionalMod:      0.85,
        backgroundColor:                "#eeeeee",
        foregroundColor:                "#000000",
        backgroundImage:                "background.jpg",
        backgroundTiled:                false,
        reportBackgroundColor:          "#333333",
        reportForegroundColor:          "#ffffff",
        reportBackgroundImage:          null,
        reportBackgroundTiled:          null,
        baseStorage:                    50
    },
    gameFont: {
        family:         "festival",
        url:            "festival.woff",
        format:         "woff",
    },
    externalLink: {
        name:           "Antiquitas",
        icon:           "antiquitas-64.png",
        default:        "https://apps.ape-apps.com/antiquitas/",
        gplay:          "market://details?id=com.ape.games.antiquitas",
        amazon:         "amzn://apps/android?p=com.ape.games.antiquitas",
        itunes:         "https://itunes.apple.com/us/app/antiquitas/id1310689005?ls=1&mt=8",
        windows:        "https://www.microsoft.com/store/apps/9p6fpg3p4djp"
    },
    resources: [
        {
            name:           "Water",
            icon:           "ind-water.png",
            basePrice:      25,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Wood",
            icon:           "ind-wood.png",
            basePrice:      40,
            startingInv:    20,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Stone",
            icon:           "stone.png",
            basePrice:      150,
            startingInv:    15,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Tin",
            icon:           "ind-tin.png",
            basePrice:      200,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Copper",
            icon:           "ind-copper.png",
            basePrice:      200,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Bronze",
            icon:           "ind-bronze.png",
            basePrice:      450,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Iron",
            icon:           "ind-iron.png",
            basePrice:      500,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Tool",
            icon:           "ind-tool.png",
            basePrice:      550,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Wine",
            icon:           "ind-fermentation.png",
            basePrice:      600,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Weapon",
            icon:           "ind-weapon.png",
            basePrice:      625,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        },
        {
            name:           "Gladiator",
            icon:           "ind-gladiator.png",
            basePrice:      800,
            startingInv:    0,
            contraband:     false,
            canSell:        true
        }
    ],
    technologies: [
        {
            name:           "Basic Mining",
            description:    "Learn the basics of extracting simple metals from the earth.",
            icon:           "basicmining.png",
            cost:           2000,
            premium:        false,
            requiresTech:   null
        },
        {
            name:           "Coinage Contract",
            description:    "Purchase a contract from the Roman Government giving you authority to mint imperial coinage.",
            icon:           "contract.png",
            cost:           3000,
            premium:        false,
            requiresTech:   ["Basic Mining"]
        },
        {
            name:           "Iron Working",
            description:    "Discover how to learn and work with Iron.",
            icon:           "ind-iron.png",
            cost:           3000,
            premium:        false,
            requiresTech:   ["Basic Mining"]
        },
        {
            name:           "Bloodsport Contract",
            description:    "Purchase a license from the Roman Government allowing you to commit slaves to bloodsport.",
            icon:           "contract.png",
            cost:           5000,
            premium:        false,
            requiresTech:   ["Iron Working"]
        },
        {
            name:           "Fermentation",
            description:    "Learn the art of fermentation to create Wine.",
            icon:           "ind-fermentation.png",
            cost:           10000,
            premium:        false,
            requiresTech:   ["Iron Working"]
        },
        {
            name:           "Engineering",
            description:    "Learn how to build higher quality structures and businesses!",
            icon:           "ind-engineering.png",
            cost:           50000,
            premium:        false,
            requiresTech:   ["Iron Working"]
        }
    ],
    crimes: [
        {
            name: "Slave Abuse",
            fine: 500,
            days: 10
        }
    ],
    companies: [
        {
            name:                   "Logging",
            description:            "Cut down trees to harvest the Wood resource.",
            image:                  "logging.png",
            profit:                 0,
            rate:                   100,
            cost:                   500,
            workers:                1,
            premium:                false,
            requiresTech:           null,
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [],
                output:     [
                    {
                        resource:   "Wood",
                        amount: 2
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Stone Quarrying",
            description:            "Mine rock to harvest the Stone resource.",
            image:                  "stonemining.png",
            profit:                 0,
            rate:                   150,
            cost:                   750,
            workers:                2,
            premium:                false,
            requiresTech:           null,
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [],
                output:     [
                    {
                        resource:   "Stone",
                        amount: 1
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Mining Camp",
            description:            "Extract Tin and Copper from the ground.  Consumes Stone, Wood, and Water during operation.",
            image:                  "miningcamp.png",
            profit:                 0,
            rate:                   350,
            cost:                   800,
            workers:                2,
            premium:                false,
            requiresTech:           ["Basic Mining"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Wood",
                        amount: 1
                    },
                    {
                        resource:   "Water",
                        amount: 1
                    },
                    {
                        resource:   "Stone",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Tin",
                        amount: 1
                    },
                    {
                        resource:   "Copper",
                        amount: 1
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Water Well",
            description:            "Generates fresh valuable water.",
            image:                  "waterwell.png",
            profit:                 0,
            rate:                   400,
            cost:                   800,
            workers:                0,
            premium:                false,
            requiresTech:           null,
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [],
                output:     [
                    {
                        resource:   "Water",
                        amount: 5
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  true
        },
        {
            name:                   "Small Storehouse",
            description:            "Increase your resource storage capacity with this basic wooden storehouse.",
            image:                  "smstorehouse.png",
            profit:                 0,
            rate:                   0,
            cost:                   800,
            workers:                0,
            premium:                false,
            requiresTech:           null,
            storageMod:             250,
            crimeLevels:            null,
            resourceGen:            null,
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Medium Storehouse",
            description:            "A larger and nicer storehouse for stockpiling your resources.",
            image:                  "medstorehouse.png",
            profit:                 0,
            rate:                   0,
            cost:                   8000,
            workers:                0,
            premium:                false,
            requiresTech:           ["Engineering"],
            storageMod:             3000,
            crimeLevels:            null,
            resourceGen:            null,
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Housing Rental",
            description:            "A small rental property for a pleb family.  Requires Wood for regular upkeep and maintenance.",
            image:                  "smhouse.png",
            profit:                 225,
            rate:                   350,
            cost:                   1500,
            workers:                0,
            premium:                false,
            requiresTech:           null,
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Wood",
                        amount: 1
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  true
        },
        {
            name:                   "Nice Small Housing Rental",
            description:            "A higher quality rental property, offering higher income.  Requires stone and water for regular upkeep.",
            image:                  "medhouse.png",
            profit:                 400,
            rate:                   300,
            cost:                   15000,
            workers:                0,
            premium:                false,
            requiresTech:           ["Engineering"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Stone",
                        amount: 1
                    },
                    {
                        resource:   "Water",
                        amount: 1
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  true
        },
        {
            name:                   "Iron Mining",
            description:            "Mine Iron which can be sold or used in a wide range of projects.",
            image:                  "ironmine.png",
            profit:                 0,
            rate:                   350,
            cost:                   1750,
            workers:                1,
            premium:                false,
            requiresTech:           ["Iron Working"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Tool",
                        amount: 1
                    },
                    {
                        resource:   "Water",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Iron",
                        amount: 2
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Slave Auction",
            description:            "Bring in revenues by trading in slaves.  Runs a small legal risk if your handlers are caught abusing the slaves excessively.",
            image:                  "slaveauction.png",
            profit:                 575,
            rate:                   200,
            cost:                   2000,
            workers:                1,
            premium:                false,
            requiresTech:           null,
            storageMod:             0,
            crimeLevels:            [
                {
                    crime:  "Slave Abuse",
                    risk:   1
                }
            ],
            resourceGen:            {
                input:      [
                    {
                        resource:   "Water",
                        amount: 1
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Bronze Smelter",
            description:            "Combine Tin and Copper to create Bronze, A higher value metal which is also used in tool making.",
            image:                  "bronzesmelter.png",
            profit:                 0,
            rate:                   400,
            cost:                   2500,
            workers:                2,
            premium:                false,
            requiresTech:           ["Basic Mining"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Tin",
                        amount: 1
                    },
                    {
                        resource:   "Copper",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Bronze",
                        amount: 1
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Medium Bronze Smelter",
            description:            "A larger, faster, and more efficient Bronze Smelter.",
            image:                  "bronzesmelter2.png",
            profit:                 0,
            rate:                   200,
            cost:                   30000,
            workers:                3,
            premium:                false,
            requiresTech:           ["Basic Mining","Engineering"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Tin",
                        amount: 2
                    },
                    {
                        resource:   "Copper",
                        amount: 2
                    }
                ],
                output:     [
                    {
                        resource:   "Bronze",
                        amount: 3
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Toolshop",
            description:            "Craft Tools out of Bronze and Wood.  Tools are needed everywhere and can be sold for a good profit.",
            image:                  "smtoolshop.png",
            profit:                 0,
            rate:                   450,
            cost:                   3000,
            workers:                1,
            premium:                false,
            requiresTech:           ["Basic Mining"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Wood",
                        amount: 1
                    },
                    {
                        resource:   "Bronze",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Tool",
                        amount: 2
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Mint",
            description:            "Get paid to mint Bronze coinage for the Roman government.",
            image:                  "smallmint.png",
            profit:                 775,
            rate:                   100,
            cost:                   4000,
            workers:                2,
            premium:                false,
            requiresTech:           ["Basic Mining","Coinage Contract"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Bronze",
                        amount: 1
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Blacksmith",
            description:            "Craft deadly weapons out of Iron.",
            image:                  "blacksmith.png",
            profit:                 0,
            rate:                   400,
            cost:                   4000,
            workers:                1,
            premium:                false,
            requiresTech:           ["Iron Working"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Iron",
                        amount: 1
                    },
                    {
                        resource:   "Wood",
                        amount: 1
                    },
                    {
                        resource:   "Tool",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Weapon",
                        amount: 2
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Cisterna",
            description:            "Generates large amounts of fresh valuable water.",
            image:                  "cisterna.png",
            profit:                 0,
            rate:                   200,
            cost:                   4500,
            workers:                0,
            premium:                true,
            requiresTech:           ["Engineering"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [],
                output:     [
                    {
                        resource:   "Water",
                        amount: 40
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  true
        },
        {
            name:                   "Small Ludus",
            description:            "A small training school for Gladiators.  Requires Weapons and Water during operation, and brings in a small amount of coin from private gladiator viewings.",
            image:                  "smludus.png",
            profit:                 250,
            rate:                   600,
            cost:                   5000,
            workers:                2,
            premium:                false,
            requiresTech:           ["Bloodsport Contract"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Weapon",
                        amount: 1
                    },
                    {
                        resource:   "Water",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Gladiator",
                        amount: 1
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Small Arena",
            description:            "Construct a small arena for hosting gladiatorial combat and games!",
            image:                  "smarena.png",
            profit:                 6500,
            rate:                   800,
            cost:                   15000,
            workers:                8,
            premium:                false,
            requiresTech:           ["Bloodsport Contract"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Gladiator",
                        amount: 2
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Winery",
            description:            "Small vinyard and winery where fine wines are produced.  Turns a small profit from visitors and wine tasters.",
            image:                  "winery.png",
            profit:                 150,
            rate:                   650,
            cost:                   7500,
            workers:                2,
            premium:                false,
            requiresTech:           ["Fermentation"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Water",
                        amount: 2
                    },
                    {
                        resource:   "Tool",
                        amount: 1
                    }
                ],
                output:     [
                    {
                        resource:   "Wine",
                        amount: 1
                    }
                ]
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Thermopolium",
            description:            "A fine dining establishment.  Brings in coins while costing just a bit of water and labor.",
            image:                  "thermopolium.png",
            profit:                 2500,
            rate:                   200,
            cost:                   40000,
            workers:                6,
            premium:                false,
            requiresTech:           ["Engineering"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Water",
                        amount: 2
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Enopolium",
            description:            "An upscale establishment exchanging food, entertainment, and wine for large amounts of coin.",
            image:                  "enopolium.png",
            profit:                 4000,
            rate:                   180,
            cost:                   75000,
            workers:                8,
            premium:                false,
            requiresTech:           ["Engineering","Fermentation"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Water",
                        amount: 2
                    },
                    {
                        resource:   "Wine",
                        amount: 2
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Theatrum",
            description:            "A great hall of entertainment and theater, where the more enlightened and upscale members of society go to relax.",
            image:                  "theatrum.png",
            profit:                 6500,
            rate:                   150,
            cost:                   200000,
            workers:                25,
            premium:                false,
            requiresTech:           ["Engineering","Fermentation"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Stone",
                        amount: 2
                    },
                    {
                        resource:   "Wood",
                        amount: 2
                    },
                    {
                        resource:   "Wine",
                        amount: 2
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        },
        {
            name:                   "Forum Urbis",
            description:            "Operate a public marketplace for the exchange of good and collect rents from the merchants!",
            image:                  "forumurbis.png",
            profit:                 2000,
            rate:                   200,
            cost:                   400000,
            workers:                4,
            premium:                false,
            requiresTech:           ["Engineering"],
            storageMod:             0,
            crimeLevels:            null,
            resourceGen:            {
                input:      [
                    {
                        resource:   "Stone",
                        amount: 2
                    },
                    {
                        resource:   "Wood",
                        amount: 2
                    },
                    {
                        resource:   "Water",
                        amount: 2
                    },
                    {
                        resource:   "Iron",
                        amount: 1
                    }
                ],
                output:     []
            },
            oneOffJob:              false,
            runsWithoutManagement:  false
        }
    ],
    "soundtrack": [
        {
            "name": "bizarre.mid",
            "length": 154
        },
        {
            "name": "happy.mid",
            "length": 109
        },
        {
            "name": "jazz.mid",
            "length": 109
        },
        {
            "name": "sax.mid",
            "length": 222
        },
        {
            "name": "smoke.mid",
            "length": 255
        },
        {
            "name": "stairs.mid",
            "length": 259
        },
        {
            "name":	"conquering",
            "length":	69
        },
        {
            "name":	"epic",
            "length":	165
        },
        {
            "name":	"knight",
            "length":	176
        },
        {
            "name":	"march",
            "length":	86
        },
        {
            "name":	"mystery",
            "length":	104
        },
        {
            "name":	"peace",
            "length":	150
        },
        {
            "name":	"roman",
            "length":	43
        }
    ]
};